* {
    font-family: "Inter", sans-serif;
    background: none;
    margin: 0;
    padding: 0;
    outline: none;
    border: none;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  margin: 0;
}

:root {
  --primary-blue: #0077b6;

  --warning-red: #D62828;

  --background-black: #2C2C2C;
  --background-white: #FFFFFF;
  --background-gray: #E9ECEF;
  --background-dark-gray: #DDE2E5;
  --background-light-blue: #D0E9F8;


  --text-dark: #2C2C2C;
  --text-light: #383838;
  --text-white: #FFFFFF;
  --text-green: #71BF56;
}

.button {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 2.45rem;
    background-color: var(--primary-blue);
    color: var(--text-white);
    font-size: 0.875rem;
    font-weight: 600;
    cursor: pointer;
    border: 0.5px solid transparent;
    transition: border 0.2s ease;
}

.button:hover {
  background-image: linear-gradient(to right, var(--text-dark), var(--primary-blue));
  background-origin: border-box;
  background-clip: padding-box, border-box;
}

.text-medium {
    font-weight: 500;
}

.text-large {
    font-size: 1.25rem;
}

.text-green {
    color: var(--text-green);
}

.text-label {
    font-size: 0.875rem;
    color: var(--text-dark);
    font-weight: 500;
}

.input {
    height: 2.45rem;
    width: 100%;
    background-color: var(--background-gray);
    font-size: 0.875rem;
    text-indent: 0.5rem;
    color: var(--text-dark);
    border: 0.5px solid transparent;
    transition: border 0.2s ease;
}

.input:focus {
    border: 0.5px solid var(--primary-blue);
}

a {
    text-decoration: none;
}

#header-container {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 3.25rem;
    background-color: var(--background-black);
    top: 0;
    z-index: 1000;
    position: sticky;
}

#header-inner-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    width: 90%;
    height: 70%;
}

#header-invalink-logo-home-dashboard-button {
    height: 1.75rem;
    cursor: pointer;
}

#header-invalink-logo-home-dashboard-button img {
    width: 100%;
    height: 100%;
}

#header-middle-buttons-container {
    display: none;
}

#header-sign-in-button {
    display: flex;
    background-color: var(--background-white);
    color: var(--primary-blue);
    align-items: center;
    justify-content: center;
    width: 7rem;
    height: 1.75rem;
    cursor: pointer;
    font-weight: 500;
    font-size: 0.875rem;
}

#sub-header-container {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--background-white);
    height: 1.75rem;
    box-shadow: 0 0.2rem 0.35rem rgba(0, 0, 0, 0.18);
}

#sub-header-inner-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 90%;
}

#sub-header-create-account-button, #sub-header-privacy-policy-button, #sub-header-terms-of-service-button {
    font-size: 0.75rem;
    font-weight: 500;
    color: var(--primary-blue);
    cursor: pointer;
}

#main-container {
    display: flex;
    flex: 1;
    align-items: center;
    justify-content: center;
    width: 100%;
    margin-top: 2.25rem;
    margin-bottom: 4.5rem;
}

#main-inner-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 90%;
    gap: 3rem;
}

#create-account-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    max-width: 25rem;
    gap: 2rem;
}

#create-account-text {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    gap: 0.312rem;
}

#create-account-title {
    font-size: 1.5rem;
    color: var(--text-dark);
    font-weight: 600;
}

#create-account-description {
    font-size: 0.812rem;
    columns: var(--text-light);
}

#create-account-form-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    box-shadow: 0 0.2rem 0.35rem rgba(0, 0, 0, 0.18);
    padding-top: 2.5rem;
    padding-bottom: 2.5rem;
    gap: 1.625rem;
}

#create-account-inner-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    gap: 0.937rem;
}

#create-account-status-container {
    display: none;
    align-items: center;
    justify-content: center;
    width: 90%;
    background-color: var(--background-white);
    box-shadow: 0 0.2rem 0.35rem rgba(0, 0, 0, 0.18);
    height: 1.93rem;
    font-size: 0.875rem;
    color: var(--text-dark);
    font-weight: 600;
}

.create-account-form-inner-container {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: start;
    width: 90%;
    gap: 0.5rem;
}

#your-details-title, #organization-details-title, #requirments-title, #plan-title {
    font-size: 1.25rem;
    color: var(--text-dark);
    font-weight: 600;
    width: 100%;
}

#your-details-inputs-container, #organization-details-inputs-container, #requirements-inputs-container, #plan-inputs-container {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: start;
    width: 100%;
    gap: 0.937rem;
}

.inputs-inner-container {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: start;
    gap: 0.25rem;
    width: 100%;
}

#create-account-submit-button {
    width: 90%;
}

#create-account-agreement-label {
    font-size: 0.625rem;
    color: var(--text-light);
}

#create-account-terms-of-service-button, #create-account-privacy-policy-button {
    font-size: 0.625rem;
    color: var(--primary-blue);
    cursor: pointer;
}

#footer-container {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 2.187rem;
    background-color: var(--background-black);
}

#footer-inner-container {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: space-around;
    color: var(--text-white);
    font-size: 0.625rem;
    width: 90%;
}

#create-account-form-container-desktop-layout {
    display: none;
}

@media (min-width: 1024px) {
    #header-middle-buttons-container {
        display: flex;
        flex-direction: row;
        gap: 2.62rem;
        font-size: 0.85rem;
    }

    #header-middle-privacy-policy-button, #header-middle-terms-of-service-button, #header-middle-create-account-button {
        color: var(--text-white);
        cursor: pointer;
    }
    
    #create-account-title {
        font-size: 2rem;
    }

    #sub-header-container {
        display: none;
    }

    #create-account-form-container {
        display: none;
    }

    #create-account-form-container-desktop-layout {
        display: flex;
        align-items: start;
        justify-content: space-evenly;
        flex-direction: row;
        background-color: var(--background-white);
        box-shadow: 0 0.2rem 0.35rem rgba(0, 0, 0, 0.18);
        width: 50rem;
        padding-top: 2.5rem;
        padding-bottom: 2.5rem;
    }

    #create-account-your-details-requirements-plan-container, #create-account-organization-details-submit-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 1rem;
        width: 22.5rem;
    }
}